gdl-mpfit_1.85+2017.01.03-3_all.deb


Advertisement

Description

gdl-mpfit - Robust non-linear least squares curve fitting for GDL

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename gdl-mpfit_1.85+2017.01.03-3_all.deb
Package name gdl-mpfit
Package version 1.85+2017.01.03
Package release 3
Package architecture all
Package type deb
Category science
Homepage https://cow.physics.wisc.edu/~craigm/idl/fitting.html
License -
Maintainer Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Download size 115.84 KB
Installed size 771.00 KB
These GDL routines provide a robust and relatively fast way to perform
least-squares curve and surface fitting. The algorithms are translated from
MINPACK-1, which is a rugged minimization routine found on Netlib, and
distributed with permission. This algorithm is more desirable than CURVEFIT
because it is generally more stable and less likely to crash than the
brute-force approach taken by CURVEFIT, which is based upon Numerical
Recipes.
MPFIT has additional capabilities not found in CURVEFIT. Model parameters can
be "frozen" (that is, held constant during the fitting process). Simple
boundary constraints can be imposed on parameter values, which can be helpful
to keep parameters from becoming negative, for example. Please see the
documentation for the PARINFO keyword if you wish to use this facility.

Alternatives

Package Version Architecture Repository
gdl-mpfit_1.85+2017.01.03-3_all.deb 1.85+2017.01.03 all Debian Main
gdl-mpfit - - -

Requires

Name Value
gnudatalanguage >= 0.9.5

Download

Type URL
Mirror ftp.br.debian.org
Binary Package gdl-mpfit_1.85+2017.01.03-3_all.deb
Source Package mpfit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gdl-mpfit deb package:
    # sudo apt-get install gdl-mpfit

Files

Path
/usr/share/doc-base/mpfit-api
/usr/share/doc/gdl-mpfit/MPREADME.gz
/usr/share/doc/gdl-mpfit/README.Debian
/usr/share/doc/gdl-mpfit/changelog.Debian.gz
/usr/share/doc/gdl-mpfit/copyright
/usr/share/doc/gdl-mpfit/examples/fakedata.sav.gz
/usr/share/doc/gdl-mpfit/examples/gauss1.pro
/usr/share/doc/gdl-mpfit/examples/gauss1p.pro
/usr/share/doc/gdl-mpfit/examples/gauss2.pro
/usr/share/doc/gdl-mpfit/html/fitqa.html
/usr/share/doc/gdl-mpfit/html/index.html
/usr/share/doc/gdl-mpfit/html/linfitex.html
/usr/share/doc/gdl-mpfit/html/mpchilim.html
/usr/share/doc/gdl-mpfit/html/mpchitest.html
/usr/share/doc/gdl-mpfit/html/mpcurvefit.html
/usr/share/doc/gdl-mpfit/html/mpfit.html
/usr/share/doc/gdl-mpfit/html/mpfit2dfun.html
/usr/share/doc/gdl-mpfit/html/mpfit2dpeak.html
/usr/share/doc/gdl-mpfit/html/mpfitellipse.html
/usr/share/doc/gdl-mpfit/html/mpfitexpr.html
/usr/share/doc/gdl-mpfit/html/mpfitfun.html
/usr/share/doc/gdl-mpfit/html/mpfitpeak.html
/usr/share/doc/gdl-mpfit/html/mpfittut.html
/usr/share/doc/gdl-mpfit/html/mpftest.html
/usr/share/doc/gdl-mpfit/html/mpnormlim.html
/usr/share/doc/gdl-mpfit/html/mpnormtest.html
/usr/share/doc/gdl-mpfit/html/mpproperr.html
/usr/share/doc/gdl-mpfit/html/tnmin.html
/usr/share/gnudatalanguage/mpfit/linfitex.pro
/usr/share/gnudatalanguage/mpfit/mpchilim.pro
/usr/share/gnudatalanguage/mpfit/mpchitest.pro
/usr/share/gnudatalanguage/mpfit/mpcurvefit.pro
/usr/share/gnudatalanguage/mpfit/mpfit.pro
/usr/share/gnudatalanguage/mpfit/mpfit2dfun.pro
/usr/share/gnudatalanguage/mpfit/mpfit2dpeak.pro
/usr/share/gnudatalanguage/mpfit/mpfitellipse.pro
/usr/share/gnudatalanguage/mpfit/mpfitexpr.pro
/usr/share/gnudatalanguage/mpfit/mpfitfun.pro
/usr/share/gnudatalanguage/mpfit/mpfitpeak.pro
/usr/share/gnudatalanguage/mpfit/mpftest.pro
/usr/share/gnudatalanguage/mpfit/mpnormlim.pro
/usr/share/gnudatalanguage/mpfit/mpnormtest.pro
/usr/share/gnudatalanguage/mpfit/mpproperr.pro
/usr/share/gnudatalanguage/mpfit/tnmin.pro

Changelog

2018-11-23 - Ole Streicher <olebole@debian.org>
mpfit (1.85+2017.01.03-3) unstable; urgency=low
* Fix mpfit test again.
* Push Standards-Version to 4.2.1. No changes needed.
2018-05-29 - Ole Streicher <olebole@debian.org>
mpfit (1.85+2017.01.03-2) unstable; urgency=low
* Update VCS fields to use salsa.d.o
* Fix mpfit test (Closes: #895119)
* Push Standards-Version to 4.1.4. No changes needed
* Push compat to 11
2017-08-17 - Ole Streicher <olebole@debian.org>
mpfit (1.85+2017.01.03-1) unstable; urgency=low
* New upstream version 1.85+2017.01.03
* Rediff patches
* Push Standards-Version to 4.0.1. Update URLs to use https.
2016-06-17 - Ole Streicher <olebole@debian.org>
mpfit (1.84+2016.05.19-1) unstable; urgency=low
* New upstream version
* Update standards-version to 3.9.8 (no changes)
* Update VCS fields, add ASCL-Id
2015-11-14 - Ole Streicher <olebole@debian.org>
mpfit (1.82+2013.08.14-3) unstable; urgency=low
* Make documentation build reproducible
2015-07-21 - Ole Streicher <olebole@debian.org>
mpfit (1.82+2013.08.14-2) unstable; urgency=low
* Correct dependencies in unit tests
2015-06-29 - Ole Streicher <olebole@debian.org>
mpfit (1.82+2013.08.14-1) unstable; urgency=low
* Initial release. (Closes: #788869)

See Also

Package Description
gdm3_3.30.2-3_i386.deb GNOME Display Manager
gdmap_0.8.1-5_i386.deb Tool to visualize diskspace
gdnsd-dev_2.4.2-1_all.deb authoritative domain name server (development files)
gdnsd_2.4.2-1_i386.deb authoritative domain name server
gdpc-examples_2.2.5-9_all.deb example files for the gdpc program
gdpc_2.2.5-9_i386.deb visualiser of molecular dynamic simulations
gdsiiconvert_0.1+ds.1-1_i386.deb Convert GDSII geometries and report geometry statistics
gdspy-common_1.3.1-3_all.deb Images used by gdspy
gdspy-doc_1.3.1-3_all.deb Documentation for gdspy (Python library for GDSII handling)
geant321-data_3.21.14.dfsg-11_all.deb [Physics] Data for GEANT 3.21 detector simulator
geant321-doc_3.21.14.dfsg-11_all.deb [Physics] Documentation for GEANT 3.21
geant321_3.21.14.dfsg-11_all.deb [Physics] Particle detector description and simulation tool
geany-common_1.33-1_all.deb fast and lightweight IDE -- common files
geany-plugin-addons_1.33+dfsg-1+b1_i386.deb miscellaneous plugins for Geany
geany-plugin-autoclose_1.33+dfsg-1+b1_i386.deb auto-closing plugin for Geany
Advertisement
Advertisement